Hospitality
  1. Payments
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
        GET
      • Payment For Reservation
        POST
      • Create Payment Link (New)
        POST
      • Confirm Payment (New)
        GET
      • Make Payment For Apartment
        POST
      • Verify Paid Apartments
        GET
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Payments

Create Payment Link (New)

POST
/users/payment/create

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢201
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/users/payment/create' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fromDate": "2025-01-11",
    "toDate": "2025-01-12",
    "price": 50,
    "amount": 135,
    "roomsTaken": 3,
    "reference": "1711484572341",
    "currency": "NGN",
    "roomId": "671d6b4620e8ec15cbf304e2",
    "channel": "card",
    "reservation": {
        "type": "self"
    },
    "isDiscount": true,
    "coupon": "SUJE08"
}'
Response Response Example
{
    "status": true,
    "message": "Payment Initiation is successful",
    "data": {
        "payment": {
            "userId": "66084391607d43e029086221",
            "roomId": "6573321e44101bc6039a4ba4",
            "currency": "NGN",
            "amount": 117500,
            "roomsTaken": 1,
            "reservation": {
                "type": "self",
                "_id": "66ed96f538fe2f6dd54ef68c"
            },
            "isDiscount": false,
            "nights": 2,
            "fromDate": "2024-09-20",
            "toDate": "2024-09-22",
            "status": false,
            "reference": "aessnwd2yg",
            "_id": "66ed96f538fe2f6dd54ef68b",
            "createdAt": "2024-09-20T15:38:29.843Z",
            "updatedAt": "2024-09-20T15:38:29.843Z",
            "__v": 0
        },
        "paystack": {
            "status": true,
            "message": "Authorization URL created",
            "data": {
                "authorization_url": "https://checkout.paystack.com/qcikpu3got5lcuc",
                "access_code": "qcikpu3got5lcuc",
                "reference": "aessnwd2yg"
            }
        }
    }
}
Modified at 2026-03-12 16:47:55
Previous
Payment For Reservation
Next
Confirm Payment (New)
Built with